org.eclipse.rdf4j.sail.nativerdf.model

## Class NativeBNode

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractBNode
  - - org.eclipse.rdf4j.model.impl.SimpleBNode
    - - org.eclipse.rdf4j.sail.nativerdf.model.NativeBNode

- All Implemented Interfaces:
    Serializable, BNode, Resource, Value, NativeResource, NativeValue

      public class NativeBNode
      extends SimpleBNode
      implements NativeResource

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.nativerdf.model.NativeValue

      `UNKNOWN_ID`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NativeBNode(ValueStoreRevision revision, int internalID)`
    `` | `NativeBNode(ValueStoreRevision revision, String nodeID)`
    `` | `NativeBNode(ValueStoreRevision revision, String nodeID, int internalID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Compares this blank node to another object.
    `int` | `getInternalID()` Gets the ID that is used in the native store for this Value.
    `ValueStoreRevision` | `getValueStoreRevision()` Gets the revision of the value store that created this value.
    `void` | `setInternalID(int internalID, ValueStoreRevision revision)` Sets the ID that is used for this value in a specific revision of the value store.

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleBNode

      `getID, setID`

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractBNode

      `hashCode, stringValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isBNode, isIRI, isLiteral, isTriple, stringValue`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.BNode

      `isBNode`

- - ### Constructor Detail

    - #### NativeBNode

          protected NativeBNode(ValueStoreRevision revision,
                                int internalID)

    - #### NativeBNode

          public NativeBNode(ValueStoreRevision revision,
                             String nodeID)

    - #### NativeBNode

          public NativeBNode(ValueStoreRevision revision,
                             String nodeID,
                             int internalID)

  - ### Method Detail

    - #### setInternalID

          public void setInternalID(int internalID,
                                    ValueStoreRevision revision)

      Description copied from interface: `NativeValue`
      Sets the ID that is used for this value in a specific revision of the value store.
      Specified by:
        `setInternalID` in interface `NativeValue`

    - #### getValueStoreRevision

          public ValueStoreRevision getValueStoreRevision()

      Description copied from interface: `NativeValue`
      Gets the revision of the value store that created this value. The value's internal ID is only valid when it's value store revision is equal to the value store's current revision.
      Specified by:
        `getValueStoreRevision` in interface `NativeValue`
      Returns:
        The revision of the value store that created this value at the time it last set the value's internal ID.

    - #### getInternalID

          public int getInternalID()

      Description copied from interface: `NativeValue`
      Gets the ID that is used in the native store for this Value.
      Specified by:
        `getInternalID` in interface `NativeValue`
      Returns:
        The value's ID, or `NativeValue.UNKNOWN_ID` if not yet set.

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `BNode`
      Compares this blank node to another object.
      Specified by:
        `equals` in interface `BNode`
      Overrides:
        `equals` in class `AbstractBNode`
      Parameters:
        `o` - the object to compare this blank node to
      Returns:
        `true`, if the other object is an instance of `BNode` and their IDs are equal; `false`, otherwise.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.